(function($){

	$(document).ready(function(){

		var showPluginForm = $('.bsaShowPluginForm');
		var bsaAlert = $('.bsaAlert');
		showPluginForm.click(function(){
			bsaAlert.fadeOut();
			$('.bsaPluginForm').slideToggle('slow');
			if (showPluginForm.hasClass('bsaRedButton')){
				showPluginForm.removeClass('bsaRedButton').addClass('bsaGreenButton');
				if($('#bsaItemPlugExample').hasClass('showItemPlugExample')) {
					$('.showItemPlugExample').fadeOut();
					$('.bsaPlugInnerButton').fadeIn();
				}
			} else {
				showPluginForm.removeClass('bsaGreenButton').addClass('bsaRedButton');
				if($('#bsaItemPlugExample').hasClass('showItemPlugExample')) {
					$('.showItemPlugExample').fadeIn();
					$('.bsaPlugInnerButton').fadeOut();
				}
			}
		});

		var showWidgetForm = $('.bsaShowWidgetForm');
		showWidgetForm.click(function(){
			bsaAlert.fadeOut();
			$('.bsaWidgetForm').slideToggle('slow');
			if (showWidgetForm.hasClass('bsaRedButton')){
				showWidgetForm.removeClass('bsaRedButton').addClass('bsaGreenButton');
				if($('#bsaItemWidgetExample').hasClass('showItemWidgetExample')) {
					$('.showItemWidgetExample').fadeOut();
					$('.bsaWidgetInnerButton').fadeIn();
				}
			} else {
				showWidgetForm.removeClass('bsaGreenButton').addClass('bsaRedButton');
				if($('#bsaItemWidgetExample').hasClass('showItemWidgetExample')) {
					$('.showItemWidgetExample').fadeIn();
					$('.bsaWidgetInnerButton').fadeOut();
				}
			}
		});

		if ($('div').hasClass('successRedirect')) {
			var setRedirect = setInterval(function(){document.getElementById('bsa-PayPal-payment').submit()},1000);
			setTimeout(function() { clearInterval(setRedirect); }, 1050);

			window.setInterval( function() {
				var wait = document.getElementById('bsaPayPalRedirect');
				if ( wait.innerHTML.length > 11 )
					wait.innerHTML = "redirect";
				else
					wait.innerHTML += ".";
			}, 200);
		}

		$.fn.viewportChecker = function(useroptions){
			// Define options and extend with user
			var options = {
				classToAdd: 'visible',
				offset: 100,
				callbackFunction: function(elem){}
			};
			$.extend(options, useroptions);

			// Cache the given element and height of the browser
			var $elem = this,
				windowHeight = $(window).height();

			this.checkElements = function(){
				// Set some vars to check with
				var scrollElem = ((navigator.userAgent.toLowerCase().indexOf('webkit') != -1) ? 'body' : 'html'),
					viewportTop = $(scrollElem).scrollTop(),
					viewportBottom = (viewportTop + windowHeight);

				$elem.each(function(){
					var $obj = $(this);
					// If class already exists; quit
					if ($obj.hasClass(options.classToAdd)){
						return;
					}

					// define the top position of the element and include the offset which makes is appear earlier or later
					var elemTop = Math.round( $obj.offset().top ) + options.offset,
						elemBottom = elemTop + ($obj.height());

					// Add class if in viewport
					if ((elemTop < viewportBottom) && (elemBottom > viewportTop)){
						$obj.addClass(options.classToAdd);

						// Do the callback function. Callback wil send the jQuery object as parameter
						options.callbackFunction($obj);
					}
				});
			};

			// Run checkelements on load and scroll
			$(window).scroll(this.checkElements);
			this.checkElements();

			// On resize change the height var
			$(window).resize(function(e){
				windowHeight = e.currentTarget.innerHeight;
			});
		};

		$('.bsaItem').addClass("bsaHidden").viewportChecker({
			classToAdd: 'slideUp', // Class to add to the elements when they are visible
			offset: 0
		});

	});

})(jQuery);