<?php
function getValue($input) {
	if ( isset($_SESSION['adm_add'][$input]) ) {
		echo $_SESSION['adm_add'][$input];
	} else {
		echo '';
	}
}
function editValue($val) {
	if ( isset( $_GET['ad_id']) ) {
		$getAd = new BSA_Model();
		$ad = $getAd->getAdmAd();
		return $ad[$val];
	} else {
		return '';
	}
}
?>
<h2>
	<i class="dashicons dashicons-plus-alt"></i>
	<?php if ( isset($_GET['ad_id']) ): ?>
		Edit ad (id: <?php echo $_GET['ad_id']; ?>)
	<?php else: ?>
		Add new ad
	<?php endif; ?>
</h2>
<form action="" method="post" enctype="multipart/form-data">
	<?php if ( isset($_GET['ad_id']) ): ?>
		<input type="hidden" value="editAd" name="bsaAction">
	<?php else: ?>
		<input type="hidden" value="addNewAd" name="bsaAction">
	<?php endif; ?>
	<table class="bsaAdminTable form-table">
		<tbody class="bsaTbody">
		<tr>
			<th scope="row"><label for="bsa_adm_email">E-mail</label></th>
			<td>
				<input type="email" class="regular-text code" maxlength="255" value="<?php echo editValue('buyer_email') ?>" id="bsa_adm_email" name="adm_email">
				<p class="description">E-mail address is need to generate statistics.</p>
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_adm_title">Title</label></th>
			<td>
				<input type="text" class="regular-text code" maxlength="40" value="<?php echo editValue('title') ?>" id="bsa_adm_title" name="adm_title">
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_adm_desc">Description</label></th>
			<td>
				<input type="text" class="regular-text code" maxlength="80" value="<?php echo editValue('description') ?>" id="bsa_adm_desc" name="adm_desc">
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_adm_url">URL</label></th>
			<td>
				<input type="url" class="regular-text code" value="<?php echo editValue('url') ?>" id="bsa_adm_url" name="adm_url">
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_adm_file">Image</label></th>
			<td>
				<input type="file" id="bsa_adm_file" name="adm_file">
				<p class="description"><?php echo get_option('bsa_plugin_trans_form_left_thumb'); ?></p>
				<p class="description"><strong>Note!</strong> If you editing the ad and do not want to change the image, skip this field.</p>
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_adm_time">How long you want display ad?</label></th>
			<td>
				<input type="number" id="bsa_adm_time" name="adm_time" value="" placeholder=""> <em> days from today</em>
				<p class="description"><strong>Note!</strong> If you editing the ad and do not want increase display time, skip this field.</p>
			</td>
		</tr>
		</tbody>
	</table>
	<p class="submit">
		<input type="submit" value="Save Changes" class="button button-primary" id="submit" name="submit">
	</p>
</form>