<?php

function bsa_head_menu()
{
	?>
	<div class="wrap">
		<?php require_once 'items.php'; ?>
	</div>
<?php
}

function bsa_sub_menu_add_new()
{
	?>
	<div class="wrap">
		<?php addNewAction(); ?>
		<?php require_once 'add.php'; ?>
	</div>
<?php
}

function addNewAction()
{
	$plugin_id = 'bsa_plugin_';

	if ( isset($_GET['ad_id']) ) {

		if( $_SERVER["REQUEST_METHOD"] == "POST" &&
			$_POST["adm_email"] != '' &&
			$_POST["adm_title"] != '' &&
			$_POST["adm_desc"] != '' &&
			$_POST["adm_url"] != '')
		{
			$allowedExts = array("gif", "jpeg", "jpg", "png");
			$temp = explode(".", $_FILES["adm_file"]["name"]);
			$extension = end($temp);

			$fileName = NULL;
			$get_expiration = $_POST["adm_time"];
			if ( $get_expiration != NULL && $get_expiration > 0 ) {
				$expiration_time = time() + ($get_expiration * 24 * 60 * 60);
			} else {
				$expiration_time = NULL;
			}

			if ((($_FILES["adm_file"]["type"] == "image/gif")
					|| ($_FILES["adm_file"]["type"] == "image/jpeg")
					|| ($_FILES["adm_file"]["type"] == "image/jpg")
					|| ($_FILES["adm_file"]["type"] == "image/pjpeg")
					|| ($_FILES["adm_file"]["type"] == "image/x-png")
					|| ($_FILES["adm_file"]["type"] == "image/png"))
				&& $_FILES["adm_file"]["error"] == 0
				&& in_array($extension, $allowedExts)) {

				$fileName = time().'-'.$_FILES["adm_file"]["name"];
				$path     = ABSPATH.'wp-content/plugins/bsa-socialeo/thumbs/'.$fileName;
				$thumbLoc = $_FILES["adm_file"]["tmp_name"];
				move_uploaded_file($thumbLoc, $path);
			}

			$model = new BSA_Model();
			$model->updateAd($_GET['ad_id'], $_POST['adm_email'], $_POST['adm_title'], $_POST['adm_desc'], $_POST['adm_url'], $fileName, $expiration_time);

			?>

			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Changes saved.</strong></p>
			</div>

		<?php
		} else {

			if (  $_SERVER["REQUEST_METHOD"] == "POST" && $_POST["bsaAction"] == 'editAd' ) {
				?>
				<div class="updated settings-error" id="setting-error-settings_updated">
					<p><strong>Changes not saved.</strong> All fields require!</p>
				</div>
			<?php
			}
		}

	} else {

		if( $_SERVER["REQUEST_METHOD"] == "POST" &&
			$_POST["adm_email"] != '' &&
			$_POST["adm_title"] != '' &&
			$_POST["adm_desc"] != '' &&
			$_POST["adm_url"] != '' &&
			$_POST["adm_time"] != '' &&
			$_FILES["adm_file"]["type"] != '')
		{
			$allowedExts = array("gif", "jpeg", "jpg", "png");
			$temp = explode(".", $_FILES["adm_file"]["name"]);
			$extension = end($temp);

			if ((($_FILES["adm_file"]["type"] == "image/gif")
					|| ($_FILES["adm_file"]["type"] == "image/jpeg")
					|| ($_FILES["adm_file"]["type"] == "image/jpg")
					|| ($_FILES["adm_file"]["type"] == "image/pjpeg")
					|| ($_FILES["adm_file"]["type"] == "image/x-png")
					|| ($_FILES["adm_file"]["type"] == "image/png"))
				&& $_FILES["adm_file"]["error"] == 0
				&& in_array($extension, $allowedExts)) {

				$get_expiration = $_POST["adm_time"];
				$expiration_time = time() + ($get_expiration * 24 * 60 * 60);

				$fileName = $expiration_time.'-'.$_FILES["adm_file"]["name"];
				$path     = ABSPATH.'wp-content/plugins/bsa-socialeo/thumbs/'.$fileName;
				$thumbLoc = $_FILES["adm_file"]["tmp_name"];
				list($width, $height) = getimagesize($thumbLoc);

				if ( get_option($plugin_id.'thumb_size') ) {
					$maxSize = get_option($plugin_id.'thumb_size');
				} else {
					$maxSize = 100;
				}
				if ( get_option($plugin_id.'thumb_w') ) {
					$maxWidth = get_option($plugin_id.'thumb_w');
				} else {
					$maxWidth = 200;
				}
				if ( get_option($plugin_id.'thumb_h') ) {
					$maxHeight = get_option($plugin_id.'thumb_h');
				} else {
					$maxHeight = 200;
				}

				if (($_FILES["adm_file"]["size"] > $maxSize * 1024) OR $width > $maxWidth OR $height > $maxHeight) {

					$_SESSION['adm_add'] = $_POST;
					$_SESSION['imageInvalid'] = 'size';

				} else {

					move_uploaded_file($thumbLoc, $path);

					$model = new BSA_Model();
					$model->addNewAd(NULL, $_POST['adm_email'], $_POST['adm_title'], $_POST['adm_desc'], $_POST['adm_url'], $fileName, $expiration_time);
				}
			}

			?>

			<?php if (!isset($_SESSION['imageInvalid'])): ?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Ad saved.</strong></p>
			</div>
		<?php endif; ?>

			<?php if (isset($_SESSION['imageInvalid']) && $_SESSION['imageInvalid'] == 'size'): ?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Note!</strong> Images was too high.</p>
			</div>
		<?php endif; ?>

		<?php
		} else {

			if (  $_SERVER["REQUEST_METHOD"] == "POST" && $_POST["bsaAction"] == 'addNewAd' ) {
				?>
				<div class="updated settings-error" id="setting-error-settings_updated">
					<p><strong>Ad not saved.</strong> All fields require!</p>
				</div>
			<?php
			}
		}

	}
}

function bsa_sub_menu_settings()
{
	?>
	<div class="wrap">
		<?php updateSettings(); ?>
		<?php require_once 'settings.php'; ?>
	</div>
<?php
}

function updateSettings()
{
	$plugin_id = 'bsa_plugin_';

	if( $_SERVER["REQUEST_METHOD"] == "POST" &&
		$_POST["paypal"] != '' &&
		$_POST["price"] != '' &&
		$_POST["bsaAction"] == 'updateSettings')
	{
		// plugin options
		update_option($plugin_id.'paypal', $_POST["paypal"]);
		update_option($plugin_id.'price', $_POST["price"]);
		update_option($plugin_id.'contract_first', $_POST["contract_first"]);
		update_option($plugin_id.'contract_second', $_POST["contract_second"]);
		update_option($plugin_id.'contract_third', $_POST["contract_third"]);
		update_option($plugin_id.'discount_second', $_POST["discount_second"]);
		update_option($plugin_id.'discount_third', $_POST["discount_third"]);
		update_option($plugin_id.'symbol_position', $_POST["symbol_position"]);
		update_option($plugin_id.'currency_symbol', $_POST["currency_symbol"]);
		update_option($plugin_id.'currency_code', $_POST["currency_code"]);
		update_option($plugin_id.'style', $_POST["style"]);
		update_option($plugin_id.'max_items', $_POST["max_items"]);
		update_option($plugin_id.'col_per_row', $_POST["col_per_row"]);
		update_option($plugin_id.'wgt_max_items', $_POST["wgt_max_items"]);

		//thumb size
		update_option($plugin_id.'thumb_size', $_POST["thumb_size"]);
		update_option($plugin_id.'thumb_w', $_POST["thumb_w"]);
		update_option($plugin_id.'thumb_h', $_POST["thumb_h"]);

		// plugin colors
		update_option($plugin_id.'c_title', $_POST["c_title"]);
		update_option($plugin_id.'bg_color', $_POST["bg_color"]);
		update_option($plugin_id.'c_link', $_POST["c_link"]);
		update_option($plugin_id.'c_link_hover', $_POST["c_link_hover"]);

		update_option($plugin_id.'bg_form', $_POST["bg_form"]);
		update_option($plugin_id.'c_form', $_POST["c_form"]);
		update_option($plugin_id.'bg_form_input', $_POST["bg_form_input"]);
		update_option($plugin_id.'c_form_input', $_POST["c_form_input"]);
		update_option($plugin_id.'c_discount', $_POST["c_discount"]);
		update_option($plugin_id.'c_submit', $_POST["c_submit"]);
		update_option($plugin_id.'bg_submit', $_POST["bg_submit"]);
		update_option($plugin_id.'bc_submit', $_POST["bc_submit"]);

		update_option($plugin_id.'bg_item', $_POST["bg_item"]);
		update_option($plugin_id.'c_item', $_POST["c_item"]);
		update_option($plugin_id.'c_item_url', $_POST["c_item_url"]);
		update_option($plugin_id.'bg_item_stats', $_POST["bg_item_stats"]);

		update_option($plugin_id.'c_alert_link', $_POST["c_alert_link"]);
		update_option($plugin_id.'bg_alert_success', $_POST["bg_alert_success"]);
		update_option($plugin_id.'bg_alert_failed', $_POST["bg_alert_failed"]);

		?>

		<div class="updated settings-error" id="setting-error-settings_updated">
			<p><strong>Settings saved.</strong></p>
		</div>

		<?php
	} else {

		if( $_SERVER["REQUEST_METHOD"] == "POST" &&
			$_POST["bsaAction"] == 'updateSettings' &&
			$_POST["paypal"] == '') {
			?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Settings not saved.</strong> PayPal e-mail field is required! Please enter the e-mail.</p>
			</div>
		<?php
		}

		if( $_SERVER["REQUEST_METHOD"] == "POST" &&
			$_POST["bsaAction"] == 'updateSettings' &&
			$_POST["price"] == '')
		{
			?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Settings not saved.</strong> Price field is required! Please enter the price.</p>
			</div>
		<?php
		}
	}
}

function bsa_sub_menu_translations()
{
	?>
	<div class="wrap">
		<?php updateTranslations(); ?>
		<?php require_once 'translations.php'; ?>
	</div>
<?php
}

function updateTranslations()
{
	$plugin_id = 'bsa_plugin';
	$opt_trans = $plugin_id.'_trans_';

	if( $_SERVER["REQUEST_METHOD"] == "POST" &&
		$_POST["bsaAction"] == 'updateTranslations')
	{
		// translations
		update_option($opt_trans.'name', $_POST['name']);
		update_option($opt_trans.'new_ad', $_POST['new_ad']);
		// form left
		update_option($opt_trans.'form_left_header', $_POST['form_left_header']);
		update_option($opt_trans.'form_left_email', $_POST['form_left_email']);
		update_option($opt_trans.'form_left_eg_email', $_POST['form_left_eg_email']);
		update_option($opt_trans.'form_left_title', $_POST['form_left_title']);
		update_option($opt_trans.'form_left_eg_title', $_POST['form_left_eg_title']);
		update_option($opt_trans.'form_left_desc', $_POST['form_left_desc']);
		update_option($opt_trans.'form_left_eg_desc', $_POST['form_left_eg_desc']);
		update_option($opt_trans.'form_left_url', $_POST['form_left_url']);
		update_option($opt_trans.'form_left_eg_url', $_POST['form_left_eg_url']);
		update_option($opt_trans.'form_left_thumb', $_POST['form_left_thumb']);
		// form right
		update_option($opt_trans.'form_right_header', $_POST['form_right_header']);
		update_option($opt_trans.'form_right_1_week', $_POST['form_right_1_week']);
		update_option($opt_trans.'form_right_2_weeks', $_POST['form_right_2_weeks']);
		update_option($opt_trans.'form_right_1_month', $_POST['form_right_1_month']);
		update_option($opt_trans.'form_right_2_months', $_POST['form_right_2_months']);
		update_option($opt_trans.'form_right_3_months', $_POST['form_right_3_months']);
		update_option($opt_trans.'form_right_6_months', $_POST['form_right_6_months']);
		update_option($opt_trans.'form_right_12_months', $_POST['form_right_12_months']);
		update_option($opt_trans.'form_right_button_pay', $_POST['form_right_button_pay']);
		// alerts
		// success
		update_option($opt_trans.'alert_success', $_POST['alert_success']);
		update_option($opt_trans.'form_success', $_POST['form_success']);
		update_option($opt_trans.'payment_success', $_POST['payment_success']);
		// failed
		update_option($opt_trans.'alert_failed', $_POST['alert_failed']);
		update_option($opt_trans.'form_invalid_params', $_POST['form_invalid_params']);
		update_option($opt_trans.'form_too_high', $_POST['form_too_high']);
		update_option($opt_trans.'form_img_invalid', $_POST['form_img_invalid']);
		update_option($opt_trans.'form_empty', $_POST['form_empty']);
		update_option($opt_trans.'payment_failed', $_POST['payment_failed']);
		// stats section
		update_option($opt_trans.'stats_header', $_POST['stats_header']);
		update_option($opt_trans.'stats_views', $_POST['stats_views']);
		update_option($opt_trans.'stats_clicks', $_POST['stats_clicks']);
		update_option($opt_trans.'stats_ctr', $_POST['stats_ctr']);
		// confirmation email
		update_option($opt_trans.'email_sender', $_POST['email_sender']);
		update_option($opt_trans.'email_address', $_POST['email_address']);
		update_option($opt_trans.'email_subject', $_POST['email_subject']);
		update_option($opt_trans.'email_message', $_POST['email_message']);

		?>
		<div class="updated settings-error" id="setting-error-settings_updated">
			<p><strong>Translations saved.</strong></p>
		</div>
	<?php
	}
}

function bsa_create_menu()
{

	$icon_url = plugins_url('../frontend/img/menu-icon.png', __FILE__);
	add_menu_page('Manage Items', 'Buy Sell Ads', 'manage_options', 'bsa-sub-menu', 'bsa_head_menu', $icon_url, 105);
	add_submenu_page('bsa-sub-menu', 'Add new ad', 'Add new ad', 'manage_options', 'bsa-sub-menu-add-new', 'bsa_sub_menu_add_new');
	add_submenu_page('bsa-sub-menu', 'Settings', 'Settings', 'manage_options', 'bsa-sub-menu-opts', 'bsa_sub_menu_settings');
	add_submenu_page('bsa-sub-menu', 'Translations', 'Translations', 'manage_options', 'bsa-sub-menu-trans', 'bsa_sub_menu_translations');

}

add_action('admin_menu', 'bsa_create_menu');

?>