<?php
if ( glob(plugin_dir_path( __FILE__ )."../template/".get_option('bsa_plugin_style')) == null ) {
	$styleName = 'default';
} else {
	$styleName = get_option('bsa_plugin_style');
}
require_once dirname(__FILE__) . '/../template/'.$styleName.'/widget.php';
?>
<script>
	(function($){
		$(document).ready(function(){
			var inputWidgetTitle = $('#bsa_wgt_title');
			var inputWidgetUrl = $('#bsa_wgt_url');
			var inputWidgetDescription = $('#bsa_wgt_desc');
			var containerItemWidget = $('#bsaItemWidgetExample');

			var getWidgetTitle = '<?php echo get_option($bsaTrans.'_form_left_title'); ?>';
			var limitWidgetTitle = '<?php echo MAX_TITLE_INPUT; ?>';
			$("#bsaWidgetSignsTitle").text(limitWidgetTitle);
			$("#bsa_wgt_title").keyup(function() {
				var lengthWidgetTitle = $(this).val().length;
				if (lengthWidgetTitle > limitWidgetTitle) {
					resWidgetTitle = $(this).val().substring(0, limitWidgetTitle);
					$(this).val(resWidgetTitle);
				}
				$("#bsaWidgetSignsTitle").text(limitWidgetTitle - $(this).val().length);
				if (inputWidgetTitle.val() == '') {
					$(containerItemWidget).find('.bsaInnerTitle').html(getWidgetTitle);
				} else {
					$(containerItemWidget).find('.bsaInnerTitle').html(inputWidgetTitle.val());
				}
			});

			$("#bsa_wgt_url").keyup(function() {
				var getWidgetUrl = '<?php echo get_option($bsaTrans.'_form_left_eg_url'); ?>';
				if (inputWidgetUrl.val() == '') {
					$(containerItemWidget).find('.bsaInnerUrl').html(getWidgetUrl);
				} else {
					$(containerItemWidget).find('.bsaInnerUrl').html('http://' + inputWidgetUrl.val().replace('http://','').replace('https://','').replace('www.','').split(/[/?#]/)[0]);
				}
			});

			var getWidgetDesc = '<?php echo get_option($bsaTrans.'_form_left_desc'); ?>';
			var limitWidgetDesc = '<?php echo MAX_DESC_INPUT; ?>';
			$("#bsaWidgetSignsDesc").text(limitWidgetDesc);
			$("#bsa_wgt_desc").keyup(function() {
				var lengthWidgetDesc = $(this).val().length;
				if (lengthWidgetDesc > limitWidgetDesc) {
					resWidgetDesc = $(this).val().substring(0, limitWidgetDesc);
					$(this).val(resWidgetDesc);
				}
				$("#bsaWidgetSignsDesc").text(limitWidgetDesc - $(this).val().length);
				if (inputWidgetDescription.val() == '') {
					$(containerItemWidget).find('.bsaInnerDescription').html(getWidgetDesc);
				} else {
					$(containerItemWidget).find('.bsaInnerDescription').html(inputWidgetDescription.val());
				}
			});
		});
	})(jQuery);
	
	function bsaWgtURL(input) {
		if (input.files && input.files[0]) {
			var reader = new FileReader();

			(function($){
				reader.onload = function (e) {
					$('.bsaWgtInnerThumb').attr('src', e.target.result);
				}
			})(jQuery);

			reader.readAsDataURL(input.files[0]);
		}
	}
</script>