<?php

function validValue($variableName)
{
	if($_SERVER["REQUEST_METHOD"] == "POST" && $_POST[$variableName] != '') {
		echo $_POST[$variableName];
	} else {
		echo get_option('bsa_plugin_trans_'.$variableName);
	}
}

?>
<h2><i class="dashicons dashicons-translation"></i> Translations</h2>
<form action="" method="post">
	<input type="hidden" value="updateTranslations" name="bsaAction">
	<table class="bsaAdminTable form-table">
		<tbody class="bsaTbody">
			<tr>
				<th colspan="2">
					<h3><span class="dashicons dashicons-admin-home"></span> General and item translations</h3>
				</th>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_name">Plugin / widget title</label></th>
				<td><input id="bsa_trans_name" name="name" value="<?php validValue('name'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th class="bsaLast" scope="row"><label for="bsa_trans_new_ad">Create new ad button</label></th>
				<td class="bsaLast"><input id="bsa_trans_new_ad" name="new_ad" value="<?php validValue('new_ad'); ?>" type="text" class="regular-text"></td>
			</tr>
		</tbody>
		<tbody class="bsaTbody">
			<tr>
				<th colspan="2">
					<h3><span class="dashicons dashicons-editor-spellcheck"></span> First (left) form translations</h3>
				</th>
			</tr>
			<tr class="bsaBottomLine">
				<th scope="row"><label for="bsa_trans_form_left_header">Header</label></th>
				<td><input id="bsa_trans_form_left_header" name="form_left_header" value="<?php validValue('form_left_header'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_email">Label e-mail</label></th>
				<td><input id="bsa_trans_form_left_email" name="form_left_email" value="<?php validValue('form_left_email'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_eg_email"></label>E-mail placeholder</th>
				<td><input id="bsa_trans_form_left_eg_email" name="form_left_eg_email" value="<?php validValue('form_left_eg_email'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_title">Label title</label></th>
				<td><input id="bsa_trans_form_left_title" name="form_left_title" value="<?php validValue('form_left_title'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_eg_title"></label>Title</th>
				<td><input id="bsa_trans_form_left_eg_title" name="form_left_eg_title" value="<?php validValue('form_left_eg_title'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_desc">Label description</label></th>
				<td><input id="bsa_trans_form_left_desc" name="form_left_desc" value="<?php validValue('form_left_desc'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_eg_desc"></label>Description</th>
				<td><input id="bsa_trans_form_left_eg_desc" name="form_left_eg_desc" value="<?php validValue('form_left_eg_desc'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_left_url">Label URL</label></th>
				<td><input id="bsa_trans_form_left_url" name="form_left_url" value="<?php validValue('form_left_url'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr class="bsaBottomLine">
				<th scope="row"><label for="bsa_trans_form_left_eg_url">URL placeholder</label></th>
				<td><input id="bsa_trans_form_left_eg_url" name="form_left_eg_url" value="<?php validValue('form_left_eg_url'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th class="bsaLast" scope="row"><label for="bsa_trans_form_left_thumb">Label thumbnail</label></th>
				<td class="bsaLast"><input id="bsa_trans_form_left_thumb" name="form_left_thumb" value="<?php validValue('form_left_thumb'); ?>" type="text" class="regular-text"></td>
			</tr>
		</tbody>

		<tbody class="bsaTbody">
		<tr>
			<th colspan="2">
				<h3><span class="dashicons dashicons-editor-spellcheck"></span> Second (right) form translations</h3>
			</th>
		</tr>
		<tr class="bsaBottomLine">
			<th scope="row"><label for="bsa_trans_form_right_header">Header</label></th>
			<td><input id="bsa_trans_form_right_header" name="form_right_header" value="<?php validValue('form_right_header'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_trans_form_right_1_week">Display time (7 days)</label></th>
			<td><input id="bsa_trans_form_right_1_week" name="form_right_1_week" value="<?php validValue('form_right_1_week'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_trans_form_right_2_weeks">Display time (14 days)</label></th>
			<td><input id="bsa_trans_form_right_2_weeks" name="form_right_2_weeks" value="<?php validValue('form_right_2_weeks'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_trans_form_right_1_month">Display time (30 days)</label></th>
			<td><input id="bsa_trans_form_right_1_month" name="form_right_1_month" value="<?php validValue('form_right_1_month'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_trans_form_right_2_months">Display time (60 days)</label></th>
			<td><input id="bsa_trans_form_right_2_months" name="form_right_2_months" value="<?php validValue('form_right_2_months'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_trans_form_right_3_months">Display time (90 days)</label></th>
			<td><input id="bsa_trans_form_right_3_months" name="form_right_3_months" value="<?php validValue('form_right_3_months'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th scope="row"><label for="bsa_trans_form_right_6_months">Display time (180 days)</label></th>
			<td><input id="bsa_trans_form_right_6_months" name="form_right_6_months" value="<?php validValue('form_right_6_months'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr class="bsaBottomLine">
			<th scope="row"><label for="bsa_trans_form_right_12_months">Display time (365 days)</label></th>
			<td><input id="bsa_trans_form_right_12_months" name="form_right_12_months" value="<?php validValue('form_right_12_months'); ?>" type="text" class="regular-text"></td>
		</tr>
		<tr>
			<th class="bsaLast" scope="row"><label for="bsa_trans_form_right_button_pay">PayPal button</label></th>
			<td class="bsaLast"><input id="bsa_trans_form_right_button_pay" name="form_right_button_pay" value="<?php validValue('form_right_button_pay'); ?>" type="text" class="regular-text"></td>
		</tr>
		</tbody>
		<tbody class="bsaTbody">
			<tr>
				<th colspan="2">
					<h3><span class="dashicons dashicons-testimonial"></span> Alerts translations</h3>
				</th>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_alert_success">Header (success alert)</label></th>
				<td><input id="bsa_trans_alert_success" name="alert_success" value="<?php validValue('alert_success'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_success">Correctly added fanpage</label></th>
				<td><input id="bsa_trans_form_success" name="form_success" value="<?php validValue('form_success'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr class="bsaBottomLine">
				<th scope="row"><label for="bsa_trans_payment_success">Correctly payment</label></th>
				<td><input id="bsa_trans_payment_success" name="payment_success" value="<?php validValue('payment_success'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_alert_failed">Header (failed alert)</label></th>
				<td><input id="bsa_trans_alert_failed" name="alert_failed" value="<?php validValue('alert_failed'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_invalid_params">Invalid PayPal params</label></th>
				<td><input id="bsa_trans_form_invalid_params" name="form_invalid_params" value="<?php validValue('form_invalid_params'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_too_high">Image too large</label></th>
				<td><input id="bsa_trans_form_too_high" name="form_too_high" value="<?php validValue('form_too_high'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_img_invalid">Invalid img file</label></th>
				<td><input id="bsa_trans_form_img_invalid" name="form_img_invalid" value="<?php validValue('form_img_invalid'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_form_empty">Form empty</label></th>
				<td><input id="bsa_trans_form_empty" name="form_empty" value="<?php validValue('form_empty'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th class="bsaLast" scope="row"><label for="bsa_trans_payment_failed">Payment failed</label></th>
				<td class="bsaLast"><input id="bsa_trans_payment_failed" name="payment_failed" value="<?php validValue('payment_failed'); ?>" type="text" class="regular-text"></td>
			</tr>
		</tbody>
		<tbody class="bsaTbody">
			<tr>
				<th colspan="2">
					<h3><span class="dashicons dashicons-chart-area"></span> Statistic section</h3>
				</th>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_stats_header">Header (statistics)</label></th>
				<td><input id="bsa_trans_stats_header" name="stats_header" value="<?php validValue('stats_header'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_stats_views">Views</label></th>
				<td><input id="bsa_trans_stats_views" name="stats_views" value="<?php validValue('stats_views'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_stats_clicks">Clicks</label></th>
				<td><input id="bsa_trans_stats_clicks" name="stats_clicks" value="<?php validValue('stats_clicks'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th class="bsaLast" scope="row"><label for="bsa_trans_stats_ctr">CTR</label></th>
				<td class="bsaLast"><input id="bsa_trans_stats_ctr" name="stats_ctr" value="<?php validValue('stats_ctr'); ?>" type="text" class="regular-text"></td>
			</tr>
		</tbody>
		<tbody class="bsaTbody">
			<tr>
				<th colspan="2">
					<h3><span class="dashicons dashicons-email-alt"></span> Confirmation e-mail</h3>
				</th>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_email_sender">Sender name</label></th>
				<td><input id="bsa_trans_email_sender" name="email_sender" value="<?php validValue('email_sender'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_email_address">Sender e-mail address</label></th>
				<td><input id="bsa_trans_email_address" name="email_address" value="<?php validValue('email_address'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th scope="row"><label for="bsa_trans_email_subject">Subject</label></th>
				<td><input id="bsa_trans_email_subject" name="email_subject" value="<?php validValue('email_subject'); ?>" type="text" class="regular-text"></td>
			</tr>
			<tr>
				<th class="bsaLast" scope="row"><label for="bsa_trans_email_message">Message</label></th>
				<td class="bsaLast">
					<p class="description">Use the message variable <strong>[STATS_URL]</strong> to display url statistics.</p>
					<textarea id="bsa_trans_email_message" name="email_message" class="regular-text" rows="7" cols="40"><?php validValue('email_message'); ?></textarea>
				</td>
			</tr>
		</tbody>
	</table>
	<p class="submit"><input type="submit" value="Save Changes" class="button button-primary" id="submit" name="submit"></p>
</form>