<?php
if ( glob(plugin_dir_path( __FILE__ )."../template/".get_option('bsa_plugin_style')) == null ) {
	$styleName = 'default';
} else {
	$styleName = get_option('bsa_plugin_style');
}
require_once dirname(__FILE__) . '/../template/'.$styleName.'/plugin.php';
?>
<script>
	(function($){
		$(document).ready(function(){
			var inputPlugTitle = $('#bsa_plug_title');
			var inputPlugUrl = $('#bsa_url');
			var inputPlugDescription = $('#bsa_plug_desc');
			var containerItemPlug = $('#bsaItemPlugExample');

			var getPlugTitle = '<?php echo get_option($bsaTrans.'_form_left_title'); ?>';
			var limitPlugTitle = '<?php echo MAX_TITLE_INPUT; ?>';
			$("#bsaPlugSignsTitle").text(limitPlugTitle);
			$("#bsa_plug_title").keyup(function() {
				var lengthPlugTitle = $(this).val().length;
				if (lengthPlugTitle > limitPlugTitle) {
					resPlugTitle = $(this).val().substring(0, limitPlugTitle);
					$(this).val(resPlugTitle);
				}
				$("#bsaPlugSignsTitle").text(limitPlugTitle - $(this).val().length);
				if (inputPlugTitle.val() == '') {
					$(containerItemPlug).find('.bsaInnerTitle').html(getPlugTitle);
				} else {
					$(containerItemPlug).find('.bsaInnerTitle').html(inputPlugTitle.val());
				}
			});

			$("#bsa_url").keyup(function() {
				var getPlugUrl = '<?php echo get_option($bsaTrans.'_form_left_eg_url'); ?>';
				if (inputPlugUrl.val() == '') {
					$(containerItemPlug).find('.bsaInnerUrl').html(getPlugUrl);
				} else {
					$(containerItemPlug).find('.bsaInnerUrl').html('http://' + inputPlugUrl.val().replace('http://','').replace('https://','').replace('www.','').split(/[/?#]/)[0]);
				}
			});

			var getPlugDesc = '<?php echo get_option($bsaTrans.'_form_left_desc'); ?>';
			var limitPlugDesc = '<?php echo MAX_DESC_INPUT; ?>';
			$("#bsaPlugSignsDesc").text(limitPlugDesc);
			$("#bsa_plug_desc").keyup(function() {
				var lengthPlugDesc = $(this).val().length;
				if (lengthPlugDesc > limitPlugDesc) {
					resPlugDesc = $(this).val().substring(0, limitPlugDesc);
					$(this).val(resPlugDesc);
				}
				$("#bsaPlugSignsDesc").text(limitPlugDesc - $(this).val().length);
				if (inputPlugDescription.val() == '') {
					$(containerItemPlug).find('.bsaInnerDescription').html(getPlugDesc);
				} else {
					$(containerItemPlug).find('.bsaInnerDescription').html(inputPlugDescription.val());
				}
			});
		});
	})(jQuery);
	
	function bsaPlugURL(input) {
		if (input.files && input.files[0]) {
			var reader = new FileReader();

			(function($){
				reader.onload = function (e) {
					$('.bsaPlugInnerThumb').attr('src', e.target.result);
				}
			})(jQuery);

			reader.readAsDataURL(input.files[0]);
		}
	}
</script>