<?php

function getItemPrice($months, $discount)
{
	$weeks = '';
	if (get_option('bsa_plugin_contract_first') == 7) {
		$weeks = 4;
	} elseif (get_option('bsa_plugin_contract_first') == 14) {
		$weeks = 2;
	} elseif (get_option('bsa_plugin_contract_first') == 30) {
		$weeks = 1;
	}
	$price = number_format((get_option('bsa_plugin_price') * $weeks), 2, '.', '');
	$price = number_format(($price * $months), 2, '.', '');
	if ( get_option($discount) != 0 && get_option($discount) != NULL ) {
		$priceDiscount = get_option($discount);
	} else {
		$priceDiscount = NULL;
	}
	if ( $priceDiscount != NULL ) {
		$priceDiscount = $price * $priceDiscount / 100;
	} else {
		$priceDiscount = 0;
	}
	$cost = number_format($price - $priceDiscount, 2, '.', '');

	if (get_option('bsa_plugin_symbol_position') == 'before') {
		echo '<span class="bsaPrice">'.get_option('bsa_plugin_currency_symbol').$cost.'</span>';
	} elseif (get_option('bsa_plugin_symbol_position') == 'after') {
		echo '<span class="bsaPrice">'.$cost.get_option('bsa_plugin_currency_symbol').'</span>';
	}
	if ($discount != NULL) {
		$discount = '<span class="bsaDiscount">(-'.get_option($discount).'%)</span>';
	} else {
		$discount = '';
	}
	echo $discount;
}

function buy_sell_ads_print_items()
{
	$model = new BSA_Model();
	$getPosts = $model->getActiveFanpages(get_option('bsa_plugin_max_items'));
	$countPosts = count($getPosts);
	$maxItems = get_option('bsa_plugin_max_items');
	if ( isset($_POST['submitPlugin']) ) {
		$getForm = $model->getForm();
	} else {
		$getForm = '';
	}
	if (isset($_GET['bsa_payment']) && $_GET['bsa_payment'] == 'notify') {
		$model->notifyAction();
	}
	$lastUrl = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
	$_SESSION['bsa_last_url'] = $lastUrl;
	$bsaActionType = 'Plugin';
	$bsaId = 'bsa_plugin';
	$bsaTrans = $bsaId.'_trans';
	$dir = dirname(__FILE__);
	$model->bsaCounter();
	require_once $dir.'/bsa-plugin.php';
}

function create_bsa_short_code()
{
	ob_start();
	buy_sell_ads_print_items();
	$get_buy_sell_ads_print_items = ob_get_contents();
	ob_end_clean();

	return $get_buy_sell_ads_print_items;
}

add_shortcode( 'buy_sell_ads_plugin', 'create_bsa_short_code' );

?>