<div id="bsaHeadContainer" class="bsa<?php echo $bsaActionType; ?>Container bsaHeadContainer bsa-col-<?php echo get_option('bsa_plugin_col_per_row'); ?> bsaBgColor">
	<div class="bsaHeaderInner">
		<h3 class="bsaHeadTitle"><?php echo get_option($bsaTrans.'_name'); ?></h3>
		<?php if ($countPosts < $maxItems): ?>
			<div class="bsaShowButton bsaShow<?php echo $bsaActionType; ?>Form bsaGreenButton">
				<span class="bsaInnerButton bsaPlugInnerButton bsaHeadTitle"><?php echo get_option($bsaTrans.'_new_ad'); ?></span>
			</div>
		<?php endif; ?>
	</div>
	<div class="bsaItemForm bsa<?php echo $bsaActionType; ?>Form bsaBgFormInner" style="display:none">
		<form action="" method="POST" enctype="multipart/form-data">
			<div class="bsaInputs bsaInputsLeft">
				<strong><?php echo get_option($bsaTrans.'_form_left_header'); ?></strong>
				<input type="hidden" name="actionForm" value="<?php echo $bsaActionType; ?>">
				<div class="bsaInput">
					<?php
					if (isset($_POST['bsa_email'])) {
						$mailValue = $_POST['bsa_email'];
					} else {
						$mailValue = '';
					}
					?>
					<label for="bsa_email"><?php echo get_option($bsaTrans.'_form_left_email'); ?></label>
					<input type="email" name="bsa_email" id="bsa_email" class="bsaBgInput" value="<?php echo $mailValue; ?>" placeholder="<?php echo get_option($bsaTrans.'_form_left_eg_email'); ?>">
				</div>
				<div class="bsaInput">
					<?php
					if (isset($_POST['bsa_title'])) {
						$urlValue = $_POST['bsa_title'];
					} else {
						$urlValue = '';
					}
					?>
					<label for="bsa_plug_title"><?php echo get_option($bsaTrans.'_form_left_title'); ?> (<span id="bsaPlugSignsTitle"></span>)</label>
					<input type="text" name="bsa_title" id="bsa_plug_title" class="bsaBgInput" value="<?php echo $urlValue; ?>" placeholder="<?php echo get_option($bsaTrans.'_form_left_eg_title'); ?>">
				</div>
				<div class="bsaInput">
					<?php
					if (isset($_POST['bsa_desc'])) {
						$urlValue = $_POST['bsa_desc'];
					} else {
						$urlValue = '';
					}
					?>
					<label for="bsa_plug_desc"><?php echo get_option($bsaTrans.'_form_left_desc'); ?> (<span id="bsaPlugSignsDesc"></span>)</label>
					<input type="text" name="bsa_desc" id="bsa_plug_desc" class="bsaBgInput" value="<?php echo $urlValue; ?>" placeholder="<?php echo get_option($bsaTrans.'_form_left_eg_desc'); ?>">
				</div>
				<div class="bsaInput">
					<?php
					if (isset($_POST['bsa_url'])) {
						$urlValue = $_POST['bsa_url'];
					} else {
						$urlValue = '';
					}
					?>
					<label for="bsa_url"><?php echo get_option($bsaTrans.'_form_left_url'); ?></label>
					<input type="url" name="bsa_url" id="bsa_url" class="bsaBgInput" value="<?php echo $urlValue; ?>" placeholder="<?php echo get_option($bsaTrans.'_form_left_eg_url'); ?>">
				</div>
				<div class="bsaInput">
					<label for="bsa_file"><?php echo get_option($bsaTrans.'_form_left_thumb'); ?></label>
					<input type="file" name="bsa_file" id="bsa_file" class="bsaBgInput" onchange="bsaPlugURL(this)">
				</div>
			</div>
			<div class="bsaInputs bsaInputsRight">
				<div class="bsaInput">
					<strong><?php echo get_option($bsaTrans.'_form_right_header'); ?></strong>
					<br><br>
					<div class="bsaInputGroup bsaBgInput">
						<input id="bsa_contract_1" type="radio" name="expiration_time" value="<?php echo get_option('bsa_plugin_contract_first'); ?>_first" checked="checked">
						<label for="bsa_contract_1">
							<?php if(get_option('bsa_plugin_contract_first') == 7): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_1_week'); ?></span>
							<?php elseif(get_option('bsa_plugin_contract_first') == 14): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_2_weeks'); ?></span>
							<?php elseif(get_option('bsa_plugin_contract_first') == 30): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_1_month'); ?></span>
							<?php endif; ?>
							<br>
							<?php
							if (get_option('bsa_plugin_symbol_position') == 'before') {
								echo '<span class="bsaPrice">'.get_option('bsa_plugin_currency_symbol').number_format((get_option('bsa_plugin_price') * 1), 2, '.', '').'</span><br>';
							} elseif (get_option('bsa_plugin_symbol_position') == 'after') {
								echo '<span class="bsaPrice">'.number_format((get_option('bsa_plugin_price') * 1), 2, '.', '').get_option('bsa_plugin_currency_symbol').'</span><br>';
							}
							?>
						</label>
					</div>
					<div class="bsaInputGroup bsaBgInput">
						<input id="bsa_contract_2" type="radio" name="expiration_time" value="<?php echo get_option('bsa_plugin_contract_second'); ?>_second" placeholder="" class="bsaRadioBtn">
						<label for="bsa_contract_2">
							<?php if(get_option('bsa_plugin_contract_second') == 14): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_2_weeks'); ?></span>
								<?php getItemPrice(0.5, 'bsa_plugin_discount_second'); ?>
							<?php elseif(get_option('bsa_plugin_contract_second') == 30): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_1_month'); ?></span>
								<?php getItemPrice(1, 'bsa_plugin_discount_second'); ?>
							<?php elseif(get_option('bsa_plugin_contract_second') == 60): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_2_months'); ?></span>
								<?php getItemPrice(2, 'bsa_plugin_discount_second'); ?>
							<?php elseif(get_option('bsa_plugin_contract_second') == 90): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_3_months'); ?></span>
								<?php getItemPrice(3, 'bsa_plugin_discount_second'); ?>
							<?php endif; ?>
						</label>
					</div>
					<div class="bsaInputGroup bsaBgInput">
						<input id="bsa_contract_3" type="radio" name="expiration_time" value="<?php echo get_option('bsa_plugin_contract_third'); ?>_third" placeholder="">
						<label for="bsa_contract_3">
							<?php if(get_option('bsa_plugin_contract_third') == 30): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_1_month'); ?></span>
								<?php getItemPrice(1, 'bsa_plugin_discount_third'); ?>
							<?php elseif(get_option('bsa_plugin_contract_third') == 90): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_3_months'); ?></span>
								<?php getItemPrice(3, 'bsa_plugin_discount_third'); ?>
							<?php elseif(get_option('bsa_plugin_contract_third') == 180): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_6_months'); ?></span>
								<?php getItemPrice(6, 'bsa_plugin_discount_third'); ?>
							<?php elseif(get_option('bsa_plugin_contract_third') == 365): ?>
								<span class="bsaExpiration"><?php echo get_option($bsaTrans.'_form_right_12_months'); ?></span>
								<?php getItemPrice(12, 'bsa_plugin_discount_third'); ?>
							<?php endif; ?>
						</label>
					</div>
				</div>
			</div>
			<button type="submit" name="submitPlugin" value="1" class="bsaSubmit"><span><?php echo get_option($bsaTrans.'_form_right_button_pay'); ?></span></button>
		</form>
	</div>
	<?php if (isset($_GET['bsa_notice']) && $_GET['bsa_notice'] == 'success'.$bsaActionType): ?>
		<div class="bsaAlert bsaAlertSuccess">
			<strong><?php echo get_option($bsaTrans.'_alert_success'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_payment_success'); ?></p>
		</div>
	<?php elseif (isset($_GET['bsa_notice']) && $_GET['bsa_notice'] == 'failed'.$bsaActionType): ?>
		<div class="bsaAlert bsaAlertFailed">
			<strong><?php echo get_option($bsaTrans.'_alert_failed'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_payment_failed'); ?></p>
		</div>
	<?php endif; ?>
	<?php if ($getForm == 'invalid'.$bsaActionType.'Params'): ?>
		<div class="bsaAlert bsaAlertFailed">
			<strong><?php echo get_option($bsaTrans.'_alert_failed'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_form_invalid_params'); ?></p>
		</div>
	<?php elseif ($getForm == 'invalid'.$bsaActionType.'SizeFile'): ?>
		<div class="bsaAlert bsaAlertFailed">
			<strong><?php echo get_option($bsaTrans.'_alert_failed'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_form_too_high'); ?></p>
		</div>
	<?php elseif ($getForm == 'invalid'.$bsaActionType.'File'): ?>
		<div class="bsaAlert bsaAlertFailed">
			<strong><?php echo get_option($bsaTrans.'_alert_failed'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_form_img_invalid'); ?></p>
		</div>
	<?php elseif ($getForm == 'not'.$bsaActionType.'Exists'): ?>
		<div class="bsaAlert bsaAlertFailed">
			<strong><?php echo get_option($bsaTrans.'_alert_failed'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_form_fp_exists'); ?></p>
		</div>
	<?php elseif ($getForm == 'empty'.$bsaActionType.'Form'): ?>
		<div class="bsaAlert bsaAlertFailed">
			<strong><?php echo get_option($bsaTrans.'_alert_failed'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_form_empty'); ?></p>
		</div>
	<?php elseif ($getForm == 'success'.$bsaActionType.'Added'): ?>
		<div class="bsaAlert bsaAlertSuccess">
			<strong><?php echo get_option($bsaTrans.'_alert_success'); ?></strong>
			<p><?php echo get_option($bsaTrans.'_form_success'); ?></p>
		</div>
		<div class="successRedirect">
			<?php echo $model->sendPayment; ?>
		</div>
	<?php endif; ?>
	<div class="bsaItems bsaBgItems">
		<?php
		if ($model->bsaStats()) {
			$stats = $model->bsaStats();
			?>
			<div class="bsaItem bsaItemStats">
				<a name="bsaStats"></a>
				<div class="bsaInner">
					<img class="bsaInnerThumb" src="<?php echo plugins_url('/bsa-socialeo/frontend/img/stats-bg.png'); ?>">
					<div class="bsaInnerDesc">
						<h3 class="bsaInnerTitle"><?php echo get_option($bsaTrans.'_stats_header'); ?>: <span><?php echo $stats['title'] ?></span></h3>
						<p class="bsaInnerDescription">
							<?php echo get_option($bsaTrans.'_stats_views'); ?>: <strong><?php echo number_format($stats['views'], 0, '', ' ') ?></strong><br>
							<?php echo get_option($bsaTrans.'_stats_clicks'); ?>: <strong><?php echo number_format($stats['clicks'], 0, '', ' ') ?></strong>
							<?php if ( $stats['views'] > 0 && $stats['clicks'] > 0 ) {
								?><br><?php
								echo get_option($bsaTrans.'_stats_ctr'); ?>: <strong><?php echo number_format($stats['clicks'] / $stats['views'] * 100, 2, '.', '') ?>%</strong>
							<?php } ?>
						</p>
					</div>
				</div>
			</div>
		<?php
		}
		if (count($getPosts) > 0) {
			?>
			<div id="bsaItemPlugExample" class="bsaItem showItemPlugExample" style="display:none">
				<div class="bsaInner">
					<div class="bsaInnerDesc">
						<div class="bsaInnerImgBg bsaInnerThumb">
							<img class="bsaPlugInnerThumb" src="<?php echo plugins_url('/bsa-socialeo/frontend/img/exampleLarge.png'); ?>" />
						</div>
						<div class="bsaInnerBg"></div>
						<div class="bsaInnerDescBox">
							<h3 class="bsaInnerTitle"><?php echo get_option($bsaTrans.'_form_left_title'); ?></h3>
							<p class="bsaInnerDescription"><?php echo get_option($bsaTrans.'_form_left_desc'); ?></p>
							<span class="bsaInnerUrl"><?php echo get_option($bsaTrans.'_form_left_eg_url'); ?></span>
						</div>
					</div>
				</div>
			</div>
			<?php
			foreach ($getPosts as $key => $entry) {
				$dividePerCols = ($key % get_option('bsa_plugin_col_per_row'));
				if ($dividePerCols == 0) {
					$dividePerCols = 'clear:both';
				} else {
					$dividePerCols = '';
				}
				?>
				<div class="bsaItem" style="<?php echo $dividePerCols; ?>">
					<div class="bsaInner">
						<a href="/?bsa_id=<?php echo $entry->id; ?>&bsa_url=<?php echo str_replace('https://', '', str_replace('http://', '', $entry->url)); ?>" target="_blank">
							<div class="bsaInnerDesc">
								<div class="bsaInnerImgBg" style="background-image: url(<?php echo plugins_url('/bsa-socialeo/thumbs/').$entry->img; ?>)"></div>
								<div class="bsaInnerBg"></div>
								<div class="bsaInnerDescBox">
									<h3 class="bsaInnerTitle"><?php echo $entry->title ?></h3>
									<p class="bsaInnerDescription"><?php echo $entry->description; ?></p>
									<span class="bsaInnerUrl">http://<?php $url = parse_url($entry->url); echo $url['host']; ?></span>
								</div>
							</div>
						</a>
					</div>
				</div>
			<?php
			}

		} else {
			?>
			<div id="bsaItemPlugExample" class="bsaItem">
				<div class="bsaInner">
					<div class="bsaInnerDesc">
						<div class="bsaInnerImgBg bsaInnerThumb">
							<img class="bsaPlugInnerThumb" src="<?php echo plugins_url('/bsa-socialeo/frontend/img/exampleLarge.png'); ?>" />
						</div>
						<div class="bsaInnerBg"></div>
						<div class="bsaInnerDescBox">
							<h3 class="bsaInnerTitle"><?php echo get_option($bsaTrans.'_form_left_title'); ?></h3>
							<p class="bsaInnerDescription"><?php echo get_option($bsaTrans.'_form_left_desc'); ?></p>
							<span class="bsaInnerUrl"><?php echo get_option($bsaTrans.'_form_left_eg_url'); ?></span>
						</div>
					</div>
				</div>
			</div>
		<?php
		}
		?>
	</div>
</div>